/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: hxf <hewenfei@kylinos.cn>
 *
 */

#include "image-item.h"

#include <QRectF>
#include <QPointF>
#include <QPainter>

ImageItem::ImageItem(QQuickItem *parent) : QQuickPaintedItem(parent)
{

}

QImage ImageItem::image() const
{
    return m_image;
}

void ImageItem::setImage(QImage image)
{
    m_image.swap(image);
    Q_EMIT imageChanged();
}

void ImageItem::paint(QPainter *painter)
{
    painter->drawImage(QRectF(QPointF(0, 0), QQuickPaintedItem::size()), m_image);
}
